Bug 380496 - Discover crashes upon opening when the flatpak backend is present but flatpak not installed
Summary: Discover crashes upon opening when the flatpak backend is present but flatpak...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.10.0
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: drkonqi
: 380458 380498 380987 381019 381039 381059 381188 381497 381601 382166 383014 384263 384278 384318 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-06-03 09:34 UTC by CDK
Modified: 2018-07-03 01:46 UTC (History)
26 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (11.49 KB, text/plain)
2017-06-30 10:51 UTC, Nicola Hinssen
Details
New crash information added by DrKonqi (9.20 KB, text/plain)
2017-07-17 20:29 UTC, evanshrubsole+kde
Details
New crash information added by DrKonqi (11.48 KB, text/plain)
2017-09-12 07:08 UTC, Sebastian Cramer
Details
Crash report (6.56 KB, text/plain)
2017-09-18 18:33 UTC, Nuno Costa
Details
Pacman log from previous system update. (8.19 KB, text/plain)
2017-09-18 18:35 UTC, Nuno Costa
Details
New crash information added by DrKonqi (10.73 KB, text/plain)
2017-09-20 18:37 UTC, trevor.laing
Details
New crash information added by DrKonqi (11.56 KB, text/plain)
2017-10-29 11:19 UTC, Kiko Unfla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description CDK 2017-06-03 09:34:43 UTC
Application: plasma-discover (5.10.0)

Qt Version: 5.8.0
Frameworks Version: 5.34.0
Operating System: Linux 4.11.3-1-MANJARO x86_64
Distribution: "NAME="Netrunner Rolling""

-- Information about the crash:
- What I was doing when the application crashed:
After 5.10 Plasma update, just opening discover crashes the application.

The crash can be reproduced every time.

-- Backtrace:
Application: Entdecken (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f0289d297c0 (LWP 2153))]

Thread 39 (Thread 0x7f01e57fa700 (LWP 2191)):
#0  0x00007f027fe3e1c9 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf7d67 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf88db in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7f01e5ffb700 (LWP 2190)):
#0  0x00007f027fdf83f1 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7f01e67fc700 (LWP 2189)):
#0  0x00007f027fe3e1e4 in g_mutex_unlock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf83b1 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7f01e6ffd700 (LWP 2188)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7f01e77fe700 (LWP 2187)):
#0  0x00007f02854ef02d in read () at /usr/lib/libc.so.6
#1  0x00007f027fe3ce20 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf847e in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 34 (Thread 0x7f01e7fff700 (LWP 2186)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 33 (Thread 0x7f0208ff9700 (LWP 2185)):
#0  0x00007f0281d466cc in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f0285bec0d8 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f0285be75b4 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 32 (Thread 0x7f02097fa700 (LWP 2184)):
#0  0x00007f027fe3e1c9 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf7e99 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf88db in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 31 (Thread 0x7f0209ffb700 (LWP 2183)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 30 (Thread 0x7f020a7fc700 (LWP 2182)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 29 (Thread 0x7f020affd700 (LWP 2181)):
#0  0x00007f027fe3e1e4 in g_mutex_unlock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf83b1 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 28 (Thread 0x7f020b7fe700 (LWP 2180)):
#0  0x00007f0285be2d4c in QMutex::lock() () at /usr/lib/libQt5Core.so.5
#1  0x00007f0285e2681b in  () at /usr/lib/libQt5Core.so.5
#2  0x00007f027fdf83b9 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#9  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 27 (Thread 0x7f020bfff700 (LWP 2179)):
#0  0x00007f027fdf7e94 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf88db in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 26 (Thread 0x7f022cff9700 (LWP 2178)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7f022d7fa700 (LWP 2177)):
#0  0x00007f0281d466cc in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f0285bec0d8 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f0285be75b4 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7f022dffb700 (LWP 2176)):
#0  0x00007f0285e26549 in  () at /usr/lib/libQt5Core.so.5
#1  0x00007f027fdf7e8d in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf88db in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 23 (Thread 0x7f022e7fc700 (LWP 2175)):
#0  0x00007f027e8649c6 in BN_mod_word () at /usr/lib/libcrypto.so.1.0.0
#1  0x00007f028425665e in  () at /usr/lib/libQt5Network.so.5
#2  0x00007f02842566f5 in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f0284239ce5 in QSslDiffieHellmanParameters::fromEncoded(QByteArray const&, QSsl::EncodingFormat) () at /usr/lib/libQt5Network.so.5
#4  0x00007f0284239d57 in QSslDiffieHellmanParameters::defaultParameters() () at /usr/lib/libQt5Network.so.5
#5  0x00007f02842378e1 in QSslConfiguration::QSslConfiguration() () at /usr/lib/libQt5Network.so.5
#6  0x00007f0284255f3f in  () at /usr/lib/libQt5Network.so.5
#7  0x00007f0284259d38 in  () at /usr/lib/libQt5Network.so.5
#8  0x00007f028425cb69 in  () at /usr/lib/libQt5Network.so.5
#9  0x00007f028423ffdc in QSslSocket::startClientEncryption() () at /usr/lib/libQt5Network.so.5
#10 0x00007f0284240c28 in  () at /usr/lib/libQt5Network.so.5
#11 0x00007f0284248719 in  () at /usr/lib/libQt5Network.so.5
#12 0x00007f0285dfd693 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#13 0x00007f028421db49 in  () at /usr/lib/libQt5Network.so.5
#14 0x00007f0284220758 in  () at /usr/lib/libQt5Network.so.5
#15 0x00007f0284228a8d in  () at /usr/lib/libQt5Network.so.5
#16 0x00007f0287377d7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#17 0x00007f028737f494 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#18 0x00007f0285dcfd38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#19 0x00007f0285e273cd in  () at /usr/lib/libQt5Core.so.5
#20 0x00007f027fdf87b7 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#21 0x00007f027fdf8a20 in  () at /usr/lib/libglib-2.0.so.0
#22 0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#23 0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#24 0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#25 0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#26 0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#27 0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#28 0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 22 (Thread 0x7f022effd700 (LWP 2174)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 21 (Thread 0x7f022f7fe700 (LWP 2173)):
#0  0x00007f028550a102 in __libc_disable_asynccancel () at /usr/lib/libc.so.6
#1  0x00007f02854f32c9 in poll () at /usr/lib/libc.so.6
#2  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7f022ffff700 (LWP 2172)):
#0  0x00007f027fe3e1c9 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf83c4 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7f0244db4700 (LWP 2171)):
#0  0x00007f0281d466cc in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f0285bec0d8 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f0285be75b4 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7f02455b5700 (LWP 2170)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7f0245db6700 (LWP 2169)):
#0  0x00007f0281d466cc in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f0285bec0d8 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f0285be75b4 in  () at /usr/lib/libQt5Core.so.5
#3  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#4  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7f02465b7700 (LWP 2168)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7f0246db8700 (LWP 2167)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7f02475b9700 (LWP 2166)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f0285bec21b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f0285be4fbb in QSemaphore::acquire(int) () at /usr/lib/libQt5Core.so.5
#3  0x00007f0285dfda00 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#4  0x00007f02841cf7cb in  () at /usr/lib/libQt5Network.so.5
#5  0x00007f02842631ed in  () at /usr/lib/libQt5Network.so.5
#6  0x00007f0285dfd693 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#7  0x00007f02841921bd in  () at /usr/lib/libQt5Network.so.5
#8  0x00007f02841926f5 in  () at /usr/lib/libQt5Network.so.5
#9  0x00007f0285dfd693 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#10 0x00007f028425854b in  () at /usr/lib/libQt5Network.so.5
#11 0x00007f028425ca50 in  () at /usr/lib/libQt5Network.so.5
#12 0x00007f028425cdfa in  () at /usr/lib/libQt5Network.so.5
#13 0x00007f02842487a1 in  () at /usr/lib/libQt5Network.so.5
#14 0x00007f0285dfd693 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#15 0x00007f028421d483 in  () at /usr/lib/libQt5Network.so.5
#16 0x00007f028421d534 in  () at /usr/lib/libQt5Network.so.5
#17 0x00007f0284228a41 in  () at /usr/lib/libQt5Network.so.5
#18 0x00007f0287377d7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#19 0x00007f028737f494 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#20 0x00007f0285dcfd38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#21 0x00007f0285e273cd in  () at /usr/lib/libQt5Core.so.5
#22 0x00007f027fdf87b7 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#23 0x00007f027fdf8a20 in  () at /usr/lib/libglib-2.0.so.0
#24 0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#25 0x00007f0285e26f0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#26 0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#27 0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#28 0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#29 0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#30 0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7f0247dba700 (LWP 2165)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f024cc89700 (LWP 2164)):
#0  0x00007f027fe3e1c9 in g_mutex_lock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f027fdf83c4 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8954 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f0256faf700 (LWP 2163)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0289087fd6 in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f0258cc6700 (LWP 2162)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f025f4e071b in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007f025f4e0447 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f02594c7700 (LWP 2161)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f025f4e071b in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007f025f4e0447 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f0259cc8700 (LWP 2160)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f025f4e071b in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007f025f4e0447 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f025a4c9700 (LWP 2159)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f025f4e071b in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007f025f4e0447 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f025aecf700 (LWP 2158)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f025f4e071b in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007f025f4e0447 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f025ba23700 (LWP 2157)):
#0  0x00007f0281d4639d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f025f4e071b in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#2  0x00007f025f4e0447 in  () at /usr/lib/xorg/modules/dri/radeonsi_dri.so
#3  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f026d4d1700 (LWP 2156)):
#0  0x00007f02854f32c1 in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f028679e085 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f026e6e2700 (LWP 2155)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fdf89b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f0285e26f2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f0285be644a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f0287f42c45 in  () at /usr/lib/libQt5DBus.so.5
#7  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f02770b8700 (LWP 2154)):
#0  0x00007f02854f32bd in poll () at /usr/lib/libc.so.6
#1  0x00007f027fb918e0 in  () at /usr/lib/libxcb.so.1
#2  0x00007f027fb93679 in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007f0279c4f1d9 in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f0285beae9c in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f0281d40297 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f02854fd25f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f0289d297c0 (LWP 2153)):
[KCrash Handler]
#6  0x00007f0289c1210d in do_lookup_x () at /lib64/ld-linux-x86-64.so.2
#7  0x00007f0289c12cbf in _dl_lookup_symbol_x () at /lib64/ld-linux-x86-64.so.2
#8  0x00007f0289c14769 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#9  0x00007f0289c1c5e3 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#10 0x00007f0285536c94 in _dl_catch_error () at /usr/lib/libc.so.6
#11 0x00007f0289c1bf29 in _dl_open () at /lib64/ld-linux-x86-64.so.2
#12 0x00007f0280533f26 in  () at /usr/lib/libdl.so.2
#13 0x00007f0285536c94 in _dl_catch_error () at /usr/lib/libc.so.6
#14 0x00007f02805345f5 in  () at /usr/lib/libdl.so.2
#15 0x00007f0280533fb1 in dlopen () at /usr/lib/libdl.so.2
#16 0x00007f0285dcbd01 in  () at /usr/lib/libQt5Core.so.5
#17 0x00007f0285dc5165 in  () at /usr/lib/libQt5Core.so.5
#18 0x00007f0285db32a8 in QPluginLoader::instance() () at /usr/lib/libQt5Core.so.5
#19 0x00007f0288d3846f in DiscoverBackendsFactory::backendForFile(QString const&, QString const&) const () at /usr/lib/plasma-discover/libDiscoverCommon.so
#20 0x00007f0288d38b4b in DiscoverBackendsFactory::backend(QString const&) const () at /usr/lib/plasma-discover/libDiscoverCommon.so
#21 0x00007f0288d38cc4 in DiscoverBackendsFactory::allBackends() const () at /usr/lib/plasma-discover/libDiscoverCommon.so
#22 0x00007f0288d2494a in ResourcesModel::registerAllBackends() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#23 0x00007f0285dfe332 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#24 0x00007f0287377d7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#25 0x00007f028737f494 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#26 0x00007f0285dcfd38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#27 0x00007f0285dd1efd in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#28 0x00007f0285e26af3 in  () at /usr/lib/libQt5Core.so.5
#29 0x00007f027fdf87b7 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#30 0x00007f027fdf8a20 in  () at /usr/lib/libglib-2.0.so.0
#31 0x00007f027fdf8acc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#32 0x00007f0285e26f0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#33 0x00007f0285dce3aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#34 0x00007f0285dd6744 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#35 0x000000000040d2b8 in  ()
#36 0x00007f028543043a in __libc_start_main () at /usr/lib/libc.so.6
#37 0x000000000040d58a in _start ()

Possible duplicates by query: bug 269995, bug 264350, bug 261129, bug 255221.

Reported using DrKonqi
Comment 1 Antonio Rojas 2017-06-03 09:40:03 UTC
does it work if you install flatpak?
Comment 2 Antonio Rojas 2017-06-03 09:49:53 UTC
*** Bug 380498 has been marked as a duplicate of this bug. ***
Comment 3 Llaurator 2017-06-03 09:58:43 UTC
(In reply to Antonio Rojas from comment #1)
> does it work if you install flatpak?

Yes, it works when installing flatpak, Thanks
Comment 4 Antonio Rojas 2017-06-03 10:00:43 UTC
@Aleix I've gotten a few reports of this one, though I can't reproduce it myself. It happens when flatpak is not installed but packagekit is, not when both are installed or both aren't. See https://bbs.archlinux.org/viewtopic.php?id=226752 for more details including a BT with debug symbols
Comment 5 CDK 2017-06-03 14:46:24 UTC
Yep. Problem went away after installing flatpack.
Comment 6 Aleix Pol 2017-06-07 21:48:54 UTC
*** Bug 380458 has been marked as a duplicate of this bug. ***
Comment 7 Aleix Pol 2017-06-07 22:11:29 UTC
(In reply to Antonio Rojas from comment #4)
> @Aleix I've gotten a few reports of this one, though I can't reproduce it
> myself. It happens when flatpak is not installed but packagekit is, not when
> both are installed or both aren't. See
> https://bbs.archlinux.org/viewtopic.php?id=226752 for more details including
> a BT with debug symbols

This is certainly a weird bug report. So, it looks like what's happening is ld loading flatpak-backend.so which uses libappstream.so and libflatpak.so. libappstream is loaded but libflatpak isn't because it isn't there. It's libappstream when is loaded again by the flatpak backend that it explodes.

I use ArchLinux but Qt5/KF5 compiled locally in debug mode and it does work for some reason. :(

I have never seen anything like this and I can't think of something I can do fix it on Discover side.

What other distros do is to split the flatpak-backend package and make it depend on flatpak.

One thing we could do is maybe to look for flatpak (as in `which flatpak`) before actually loading it, but I'd prefer we didn't have to get to that.

What do you think Antonio?
Comment 8 Antonio Rojas 2017-06-08 10:50:26 UTC
I could split the flatpak backend or make flatpak a hard dependency as a last resort, but I feel like that would be sweeping the actual issue under the rug. I would at least like to understand why this is 100% reproducible for some users but not for others (like me). There must be something (some specific setting or the presence of some package) triggering this.
 The only difference I can see from the linked report is that in his case the flatpak plugin is being loaded before the packagekit one. In my case it's the other way around. What determines the loading order of the plugins? Could packagekit be forced to always be loaded before flatpak?
Comment 9 Mayeul Cantan 2017-06-08 11:38:44 UTC
I can confirm as well, I had discover crash on me today when launching it on vanilla Arch (I usually don't since I want to see the detailed update logs, but I wanted to check it out). It crashed on launch; and Dr Konqui suggested this bug report.

Installing packagekit-qt5 and packagekit seems to solve the issue. The issue doesn't remain after fatpak is installed.

Here is my backtrace, just in case:

Application: Découvrir (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f6d7328a7c0 (LWP 6018))]

Thread 67 (Thread 0x7f6cacfe1700 (LWP 6271)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 66 (Thread 0x7f6cad7e2700 (LWP 6270)):
#0  0x00007f6d6ea6c3b9 in syscall () at /usr/lib/libc.so.6
#1  0x00007f6d6edb9087 in __cxxabiv1::__cxa_guard_acquire(__cxxabiv1::__guard*) (g=0x7f6d6da2cc08) at /build/gcc-multilib/src/gcc/libstdc++-v3/libsupc++/guard.cc:302
#2  0x00007f6d6d78255c in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#4  0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 65 (Thread 0x7f6cadfe3700 (LWP 6269)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 64 (Thread 0x7f6cae7e4700 (LWP 6268)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 63 (Thread 0x7f6caefe5700 (LWP 6267)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 62 (Thread 0x7f6caf7e6700 (LWP 6266)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 61 (Thread 0x7f6caffe7700 (LWP 6265)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 60 (Thread 0x7f6cb07e8700 (LWP 6264)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 59 (Thread 0x7f6cb0fe9700 (LWP 6263)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 58 (Thread 0x7f6cb17ea700 (LWP 6262)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 57 (Thread 0x7f6cb1feb700 (LWP 6261)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 56 (Thread 0x7f6cb27ec700 (LWP 6260)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 55 (Thread 0x7f6cb2fed700 (LWP 6259)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 54 (Thread 0x7f6cb37ee700 (LWP 6258)):
#0  0x00007f6d6ea6c3b9 in syscall () at /usr/lib/libc.so.6
#1  0x00007f6d6edb9087 in __cxxabiv1::__cxa_guard_acquire(__cxxabiv1::__guard*) (g=0x7f6d6da2cc08) at /build/gcc-multilib/src/gcc/libstdc++-v3/libsupc++/guard.cc:302
#2  0x00007f6d6d78255c in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#4  0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 53 (Thread 0x7f6cb3fef700 (LWP 6257)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 52 (Thread 0x7f6cb47f0700 (LWP 6256)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 51 (Thread 0x7f6cb4ff1700 (LWP 6255)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 50 (Thread 0x7f6cb57f2700 (LWP 6254)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 49 (Thread 0x7f6cb5ff3700 (LWP 6253)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 48 (Thread 0x7f6cb67f4700 (LWP 6252)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 47 (Thread 0x7f6cb6ff5700 (LWP 6251)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 46 (Thread 0x7f6cb77f6700 (LWP 6250)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 45 (Thread 0x7f6cb7ff7700 (LWP 6249)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 44 (Thread 0x7f6cb87f8700 (LWP 6248)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 43 (Thread 0x7f6cb8ff9700 (LWP 6247)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 42 (Thread 0x7f6cb97fa700 (LWP 6246)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 41 (Thread 0x7f6cb9ffb700 (LWP 6245)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 40 (Thread 0x7f6cba7fc700 (LWP 6243)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 39 (Thread 0x7f6cbaffd700 (LWP 6242)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 38 (Thread 0x7f6cbb7fe700 (LWP 6241)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 37 (Thread 0x7f6cbbfff700 (LWP 6240)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 36 (Thread 0x7f6cd0ff9700 (LWP 6060)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 35 (Thread 0x7f6cd17fa700 (LWP 6059)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 34 (Thread 0x7f6cd1ffb700 (LWP 6058)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 33 (Thread 0x7f6cd27fc700 (LWP 6057)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 32 (Thread 0x7f6cd2ffd700 (LWP 6056)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 31 (Thread 0x7f6cd37fe700 (LWP 6055)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 30 (Thread 0x7f6cd3fff700 (LWP 6054)):
#0  0x00007f6d6ea6c3b9 in syscall () at /usr/lib/libc.so.6
#1  0x00007f6d6edb9087 in __cxxabiv1::__cxa_guard_acquire(__cxxabiv1::__guard*) (g=0x7f6d6da2cc08) at /build/gcc-multilib/src/gcc/libstdc++-v3/libsupc++/guard.cc:302
#2  0x00007f6d6d78255c in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#4  0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 29 (Thread 0x7f6cf0ff9700 (LWP 6053)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 28 (Thread 0x7f6cf17fa700 (LWP 6052)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 27 (Thread 0x7f6cf1ffb700 (LWP 6051)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 26 (Thread 0x7f6cf27fc700 (LWP 6049)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 25 (Thread 0x7f6cf2ffd700 (LWP 6048)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 24 (Thread 0x7f6cf37fe700 (LWP 6046)):
#0  0x00007f6d6ea6c3b9 in syscall () at /usr/lib/libc.so.6
#1  0x00007f6d6edb9087 in __cxxabiv1::__cxa_guard_acquire(__cxxabiv1::__guard*) (g=0x7f6d6da2cc08) at /build/gcc-multilib/src/gcc/libstdc++-v3/libsupc++/guard.cc:302
#2  0x00007f6d6d78255c in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#4  0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 23 (Thread 0x7f6cf3fff700 (LWP 6045)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 22 (Thread 0x7f6d10ff9700 (LWP 6044)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 21 (Thread 0x7f6d117fa700 (LWP 6042)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7f6d11ffb700 (LWP 6040)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7f6d127fc700 (LWP 6039)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7f6d12ffd700 (LWP 6038)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7f6d137fe700 (LWP 6037)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7f6d13fff700 (LWP 6035)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7f6d30b9b700 (LWP 6034)):
#0  0x00007f6d6ea6c3b9 in syscall () at /usr/lib/libc.so.6
#1  0x00007f6d6edb9087 in __cxxabiv1::__cxa_guard_acquire(__cxxabiv1::__guard*) (g=0x7f6d6da2cc08) at /build/gcc-multilib/src/gcc/libstdc++-v3/libsupc++/guard.cc:302
#2  0x00007f6d6d78255c in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#4  0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7f6d3139c700 (LWP 6033)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7f6d31b9d700 (LWP 6031)):
#0  0x00007f6d6ea6c3b9 in syscall () at /usr/lib/libc.so.6
#1  0x00007f6d6edb9087 in __cxxabiv1::__cxa_guard_acquire(__cxxabiv1::__guard*) (g=0x7f6d6da2cc08) at /build/gcc-multilib/src/gcc/libstdc++-v3/libsupc++/guard.cc:302
#2  0x00007f6d6d78255c in  () at /usr/lib/libQt5Network.so.5
#3  0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#4  0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f6d3239e700 (LWP 6030)):
[KCrash Handler]
#6  0x00007f6d73185738 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#7  0x00007f6d7318d5e3 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#8  0x00007f6d6eaaac94 in _dl_catch_error () at /usr/lib/libc.so.6
#9  0x00007f6d7318cf29 in _dl_open () at /lib64/ld-linux-x86-64.so.2
#10 0x00007f6d69aa7f26 in  () at /usr/lib/libdl.so.2
#11 0x00007f6d6eaaac94 in _dl_catch_error () at /usr/lib/libc.so.6
#12 0x00007f6d69aa85f5 in  () at /usr/lib/libdl.so.2
#13 0x00007f6d69aa7fb1 in dlopen () at /usr/lib/libdl.so.2
#14 0x00007f6d6f33fd01 in  () at /usr/lib/libQt5Core.so.5
#15 0x00007f6d6f339768 in QLibrary::load() () at /usr/lib/libQt5Core.so.5
#16 0x00007f6d6d781f70 in  () at /usr/lib/libQt5Network.so.5
#17 0x00007f6d6d782569 in  () at /usr/lib/libQt5Network.so.5
#18 0x00007f6d6d775ca3 in  () at /usr/lib/libQt5Network.so.5
#19 0x00007f6d6f15b371 in  () at /usr/lib/libQt5Core.so.5
#20 0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#21 0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#22 0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f6d32b9f700 (LWP 6029)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af2b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f6d333a0700 (LWP 6028)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f6d33ba1700 (LWP 6027)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f6d38ac1700 (LWP 6026)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#7  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f6d43720700 (LWP 6025)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d725f8fd6 in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f6d4450e700 (LWP 6024)):
#0  0x00007f6d6b2ba39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f6d4d8e071b in  () at /usr/lib/xorg/modules/dri/r600_dri.so
#2  0x00007f6d4d8e0447 in  () at /usr/lib/xorg/modules/dri/r600_dri.so
#3  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f6d44d0f700 (LWP 6023)):
#0  0x00007f6d6b2ba39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f6d4d8e071b in  () at /usr/lib/xorg/modules/dri/r600_dri.so
#2  0x00007f6d4d8e0447 in  () at /usr/lib/xorg/modules/dri/r600_dri.so
#3  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f6d56be4700 (LWP 6022)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d6fd12085 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f6d57df5700 (LWP 6021)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d6936c9b6 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6f15a44a in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007f6d714b6c45 in  () at /usr/lib/libQt5DBus.so.5
#7  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#8  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f6d607a9700 (LWP 6019)):
#0  0x00007f6d6ea672bd in poll () at /usr/lib/libc.so.6
#1  0x00007f6d691058e0 in  () at /usr/lib/libxcb.so.1
#2  0x00007f6d69107679 in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007f6d633401d9 in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007f6d6f15ee9c in  () at /usr/lib/libQt5Core.so.5
#5  0x00007f6d6b2b4297 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f6d6ea7125f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f6d7328a7c0 (LWP 6018)):
#0  0x00007f6d6b2ba39d in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f6d6f16021b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5
#2  0x00007f6d6fd126eb in  () at /usr/lib/libQt5Qml.so.5
#3  0x00007f6d6fcb2402 in  () at /usr/lib/libQt5Qml.so.5
#4  0x00007f6d6fca4861 in  () at /usr/lib/libQt5Qml.so.5
#5  0x00007f6d6fd24385 in  () at /usr/lib/libQt5Qml.so.5
#6  0x00007f6d6fbf4b66 in QV4::BuiltinFunction::call(QV4::Managed const*, QV4::Scope&, QV4::CallData*) () at /usr/lib/libQt5Qml.so.5
#7  0x00007f6d6fc62b9e in QV4::Runtime::method_callProperty(QV4::ExecutionEngine*, int, QV4::CallData*) () at /usr/lib/libQt5Qml.so.5
#8  0x00007f6d5c082f31 in  ()
#9  0x00000000ffffffff in  ()
#10 0x0000000001a028c0 in  ()
#11 0x00007fff618849c0 in  ()
#12 0x00007f6d6ea00fb8 in malloc () at /usr/lib/libc.so.6
#13 0x00007fff61884990 in  ()
#14 0x00007f6d55be5470 in  ()
#15 0x00007f6d6fbf7ff3 in  () at /usr/lib/libQt5Qml.so.5
#16 0x00007f6d6fcf2b1a in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*, QV4::Scope&) () at /usr/lib/libQt5Qml.so.5
#17 0x00007f6d6fc908c6 in QQmlBoundSignalExpression::evaluate(void**) () at /usr/lib/libQt5Qml.so.5
#18 0x00007f6d6fc91a0b in  () at /usr/lib/libQt5Qml.so.5
#19 0x00007f6d6fccf4a4 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /usr/lib/libQt5Qml.so.5
#20 0x00007f6d6fc7364c in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /usr/lib/libQt5Qml.so.5
#21 0x00007f6d6f370e8f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#22 0x00007f6d6fc6f69c in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib/libQt5Qml.so.5
#23 0x00007f6d6fcfc692 in  () at /usr/lib/libQt5Qml.so.5
#24 0x00007f6d6fcfc910 in  () at /usr/lib/libQt5Qml.so.5
#25 0x00007f6d6fcf9b49 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#26 0x00007f6d6fd060de in  () at /usr/lib/libQt5Qml.so.5
#27 0x00007f6d6fc8bb12 in  () at /usr/lib/libQt5Qml.so.5
#28 0x00007f6d6fc8c39e in QQmlEnginePrivate::incubate(QQmlIncubator&, QQmlContextData*) () at /usr/lib/libQt5Qml.so.5
#29 0x00007f6d6fd3b096 in  () at /usr/lib/libQt5Qml.so.5
#30 0x00007f6d6fd3b345 in QQmlDelegateModel::object(int, bool) () at /usr/lib/libQt5Qml.so.5
#31 0x00007f6d72732a71 in  () at /usr/lib/libQt5Quick.so.5
#32 0x00007f6d7273313f in  () at /usr/lib/libQt5Quick.so.5
#33 0x00007f6d727ff12d in  () at /usr/lib/libQt5Quick.so.5
#34 0x00007f6d6fc85b08 in  () at /usr/lib/libQt5Qml.so.5
#35 0x00007f6d6fc84b24 in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#36 0x00007f6d6fcfa090 in QQmlBinding::slowWrite(QQmlPropertyData const&, QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#37 0x00007f6d6fcfb710 in  () at /usr/lib/libQt5Qml.so.5
#38 0x00007f6d6fcfc910 in  () at /usr/lib/libQt5Qml.so.5
#39 0x00007f6d6fcf9b49 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#40 0x00007f6d6fcf9d3e in QQmlBinding::refresh() () at /usr/lib/libQt5Qml.so.5
#41 0x00007f6d6fccf4a4 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /usr/lib/libQt5Qml.so.5
#42 0x00007f6d6fc7364c in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /usr/lib/libQt5Qml.so.5
#43 0x00007f6d6f370e8f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#44 0x00007f6d6fc8550b in QQmlPropertyPrivate::write(QObject*, QQmlPropertyData const&, QVariant const&, QQmlContextData*, QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#45 0x00007f6d6fcfa090 in QQmlBinding::slowWrite(QQmlPropertyData const&, QQmlPropertyData const&, QV4::Value const&, bool, QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#46 0x00007f6d6fcfb710 in  () at /usr/lib/libQt5Qml.so.5
#47 0x00007f6d6fcfc910 in  () at /usr/lib/libQt5Qml.so.5
#48 0x00007f6d6fcf9b49 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#49 0x00007f6d6fcf9d3e in QQmlBinding::refresh() () at /usr/lib/libQt5Qml.so.5
#50 0x00007f6d6fccf4a4 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /usr/lib/libQt5Qml.so.5
#51 0x00007f6d6fc7364c in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /usr/lib/libQt5Qml.so.5
#52 0x00007f6d6f370e8f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#53 0x00007f6d722888ee in CategoryModel::populateCategories() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#54 0x00007f6d6f3717a7 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#55 0x00007f6d72298c1f in ResourcesModel::registerAllBackends() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#56 0x00007f6d6f372332 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#57 0x00007f6d708ebd7c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#58 0x00007f6d708f3494 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#59 0x00007f6d6f343d38 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#60 0x00007f6d6f345efd in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#61 0x00007f6d6f39aaf3 in  () at /usr/lib/libQt5Core.so.5
#62 0x00007f6d6936c7b7 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#63 0x00007f6d6936ca20 in  () at /usr/lib/libglib-2.0.so.0
#64 0x00007f6d6936cacc in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#65 0x00007f6d6f39af0f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#66 0x00007f6d6f3423aa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#67 0x00007f6d6f34a744 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#68 0x000000000040d2b8 in  ()
#69 0x00007f6d6e9a443a in __libc_start_main () at /usr/lib/libc.so.6
#70 0x000000000040d58a in _start ()
Comment 10 Antonio Rojas 2017-06-09 14:58:46 UTC
*** Bug 381019 has been marked as a duplicate of this bug. ***
Comment 11 Aleix Pol 2017-06-12 00:02:12 UTC
*** Bug 381039 has been marked as a duplicate of this bug. ***
Comment 12 Aleix Pol 2017-06-12 00:04:01 UTC
*** Bug 380987 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2017-06-19 12:53:33 UTC
*** Bug 381059 has been marked as a duplicate of this bug. ***
Comment 14 Aleix Pol 2017-06-21 18:45:41 UTC
*** Bug 381497 has been marked as a duplicate of this bug. ***
Comment 15 Antonio Rojas 2017-06-24 17:21:48 UTC
*** Bug 381601 has been marked as a duplicate of this bug. ***
Comment 16 Stormrider 2017-06-25 10:02:10 UTC
I can confirm that installing flatpak resolves this
Comment 17 Nicola Hinssen 2017-06-30 10:51:37 UTC
Created attachment 106385 [details]
New crash information added by DrKonqi

plasma-discover (5.10.3) using Qt 5.9.0

Always crashes when trying to open Discover.

-- Backtrace (Reduced):
#5  0x00007fec4a4ae8d8 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#6  0x00007fec4a4b6783 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#7  0x00007fec45d91c24 in _dl_catch_error () at /usr/lib/libc.so.6
#8  0x00007fec4a4b60c9 in _dl_open () at /lib64/ld-linux-x86-64.so.2
#9  0x00007fec4069bf26 in  () at /usr/lib/libdl.so.2
Comment 18 Aleix Pol 2017-07-10 01:05:01 UTC
*** Bug 382166 has been marked as a duplicate of this bug. ***
Comment 19 Aleix Pol 2017-07-10 01:05:53 UTC
*** Bug 381188 has been marked as a duplicate of this bug. ***
Comment 20 Kevin Harper 2017-07-12 23:12:12 UTC
Discover continues to crash for me even after installing flatpack

[lex@localhost ~]$ sudo dnf history 
ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
     6 | install flatpack         | 2017-07-12 15:51 | Install        |   13   
     5 | install chromium         | 2017-07-12 14:43 | Install        |    6   
     4 | install google-chrome-st | 2017-07-12 14:23 | Install        |  123 EE
     3 | update                   | 2017-07-12 13:49 | Update         |    1   
     2 | install gparted          | 2017-07-12 11:01 | Install        |    1  <
     1 |                          | 2017-07-05 15:00 | Install        | 1655 >E

This is a fresh install of Fedora 26 KDE and, as noted by 'dnf history', have only 3 packages (forced to do so via Konsole).

[lex@localhost ~]$ uname -a
Linux localhost.localdomain 4.11.9-300.fc26.x86_64 #1 SMP Wed Jul 5 16:21:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Software:
KDE Plasma Version: 5.10.1
KDE Frameworks Version: 5.35.0
Qt Version: 5.7.1
Kernel Version: 4.11.9-300.fc26x86_64
OS Type: 64-bit

Hardware:
Processor: 8 x Intel Core i7-6700HQ CPU @ 2.60 GHz
Memory: 15.5 GiB of RAM

Please let me know if you need any more info from me.
Comment 21 Aleix Pol 2017-07-14 11:42:27 UTC
@Kevin it's "flatpak", not "flatpack".
Comment 22 Kevin Harper 2017-07-14 15:50:54 UTC
Discover does NOT continue to crash for me after installing FLATPAK

ID     | Command line             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
    36 | install flatpak-0.9.7-1. | 2017-07-14 08:45 | Install        |    3   
    35 | remove flatpack-4.0.1-4. | 2017-07-14 08:44 | Erase          |    1 

>< Thank Aleix
Comment 23 evanshrubsole+kde 2017-07-17 20:29:47 UTC
Created attachment 106684 [details]
New crash information added by DrKonqi

plasma-discover (5.10.3) using Qt 5.9.1

- What I was doing when the application crashed:

After installing kde it just crashes, always with the same error in that library.

-- Backtrace (Reduced):
#5  0x00007fbbb77368e8 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#6  0x00007fbbb773e813 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#7  0x00007fbbb302ee44 in _dl_catch_error () at /usr/lib/libc.so.6
#8  0x00007fbbb773e15a in _dl_open () at /lib64/ld-linux-x86-64.so.2
#9  0x00007fbbadb9bea6 in  () at /usr/lib/libdl.so.2
Comment 24 Aleix Pol 2017-08-02 14:18:50 UTC
*** Bug 383014 has been marked as a duplicate of this bug. ***
Comment 25 kts 2017-08-02 14:37:11 UTC
I hope it get resolved soon.
I have a laptop and a desktop.
The problem cannot be reproduced in laptop.
It can be on desktop, freshly installed Arch Linux.
I got confused because laptop is good and desktop is not.
I reinstalled Arch on desktop in case I made some installation mistakes.
It's not. 
I still love KDE.
Comment 26 Aleix Pol 2017-08-02 15:09:29 UTC
@kts an easy way to fix it is by installing flatpak as mentioned in the comments.
Comment 27 kts 2017-08-02 17:47:42 UTC
(In reply to Aleix Pol from comment #26)
> @kts an easy way to fix it is by installing flatpak as mentioned in the
> comments.

We both know it's not a rational solution.
Comment 28 Antonio Rojas 2017-09-01 17:09:04 UTC
*** Bug 384263 has been marked as a duplicate of this bug. ***
Comment 29 Antonio Rojas 2017-09-02 08:09:50 UTC
*** Bug 384278 has been marked as a duplicate of this bug. ***
Comment 30 Antonio Rojas 2017-09-03 17:33:45 UTC
*** Bug 384318 has been marked as a duplicate of this bug. ***
Comment 31 Sebastian Cramer 2017-09-12 07:08:31 UTC
Created attachment 107809 [details]
New crash information added by DrKonqi

plasma-discover (5.10.5) using Qt 5.9.1

Just my two cents: This seems also to be happening on a fully updated Arch Linux 64bit.

-- Backtrace (Reduced):
#5  0x00007f9164e1948d in do_lookup_x () at /lib64/ld-linux-x86-64.so.2
#6  0x00007f9164e1a03f in _dl_lookup_symbol_x () at /lib64/ld-linux-x86-64.so.2
#7  0x00007f9164e1bb19 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#8  0x00007f9164e23a33 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#9  0x00007f916070feb4 in _dl_catch_error () at /usr/lib/libc.so.6
Comment 32 Nuno Costa 2017-09-17 17:25:41 UTC
Started to have this core dumps after last update, on Friday, 15th (usually I update once a week).

I'm on Arch.
Comment 33 Antonio Rojas 2017-09-17 21:33:45 UTC
(In reply to keitalbame from comment #32)
> Started to have this core dumps after last update, on Friday, 15th (usually
> I update once a week).
> 
> I'm on Arch.

Please confirm that it is indeed the same crash (same backtrace, and fixed by installing flatpak). If it is, please post the pacman log of your last update.
Comment 34 Nuno Costa 2017-09-18 18:31:55 UTC
(In reply to Antonio Rojas from comment #33)
> (In reply to keitalbame from comment #32)
> > Started to have this core dumps after last update, on Friday, 15th (usually
> > I update once a week).
> > 
> > I'm on Arch.
> 
> Please confirm that it is indeed the same crash (same backtrace, and fixed
> by installing flatpak). If it is, please post the pacman log of your last
> update.

I can confirm the issue seems the same.
Attached the crash report.

Did a full system update (due to the security updates available) and the issue persisted after reboot.
Installed flatpak as mentioned and after that, Discover opened sucessfully, even without reboot.

Also attached the previous system update log, where I detected the issue.
Comment 35 Nuno Costa 2017-09-18 18:33:58 UTC
Created attachment 107897 [details]
Crash report
Comment 36 Nuno Costa 2017-09-18 18:35:18 UTC
Created attachment 107898 [details]
Pacman log from previous system update.
Comment 37 trevor.laing 2017-09-20 18:37:08 UTC
Created attachment 107918 [details]
New crash information added by DrKonqi

plasma-discover (5.10.5) using Qt 5.9.1

- What I was doing when the application crashed: Just trying to update my system ended up using pacman as usual

- Unusual behavior I noticed: there are two volume controls (little speaker thingies) on my taskbar

-- Backtrace (Reduced):
#5  0x00007f07b107aae8 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#6  0x00007f07b1082a33 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#7  0x00007f07ac96eeb4 in _dl_catch_error () at /usr/lib/libc.so.6
#8  0x00007f07b108237a in _dl_open () at /lib64/ld-linux-x86-64.so.2
#9  0x00007f07a7218e86 in  () at /usr/lib/libdl.so.2
Comment 38 Kiko Unfla 2017-10-29 11:19:56 UTC
Created attachment 108628 [details]
New crash information added by DrKonqi

plasma-discover (5.10.5) using Qt 5.9.1

- What I was doing when the application crashed:
trying to update de system with octopi
Linux viticleri 4.4.90-1-MANJARO #1 SMP PREEMPT Thu Oct 5 14:53:38 UTC 2017 x86_64 GNU/Linux

-- Backtrace (Reduced):
#5  0x00007fc234d91ae8 in _dl_relocate_object () at /lib64/ld-linux-x86-64.so.2
#6  0x00007fc234d99a33 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#7  0x00007fc23069beb4 in _dl_catch_error () at /usr/lib/libc.so.6
#8  0x00007fc234d9937a in _dl_open () at /lib64/ld-linux-x86-64.so.2
#9  0x00007fc22af4ae86 in  () at /usr/lib/libdl.so.2
Comment 39 Aleix Pol 2018-01-29 16:00:27 UTC
Seems to be fixed, please reopen if it's not the case.
Comment 40 Tim Steinberger 2018-07-01 14:03:41 UTC
Application: plasma-discover (5.13.2)

Qt Version: 5.11.1
Frameworks Version: 5.47.0
Operating System: Linux 4.17.2-1-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
This crash is still occurring for me on Obarun Linux (which is based on Arch). The version is 5.13 so it is up to date. So long as packagekit-qt5 is installed, but flatpak is not the application crashes. This is particularly problematic for me as I cannot install flatpak on here due to a dependency on systemd.

The crash can be reproduced every time.

-- Backtrace:
Application: Discover (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fdd65f72780 (LWP 1921))]

Thread 11 (Thread 0x7fdd1e940700 (LWP 1940)):
#0  0x00007fdd614d4ea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fdd5bc0f523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd61df0f84 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007fdd61be59c9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#7  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7fdd1f141700 (LWP 1931)):
#0  0x00007fdd614d4ea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fdd5bc0f523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0f8e2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd30d15348 in  () at /usr/lib/libgio-2.0.so.0
#4  0x00007fdd5bc37a2a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7fdd1f942700 (LWP 1930)):
#0  0x00007fdd5bc0f3ac in  () at /usr/lib/libglib-2.0.so.0
#1  0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0f692 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd5bc37a2a in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7fdd32d49700 (LWP 1928)):
#0  0x00007fdd614da0f9 in syscall () at /usr/lib/libc.so.6
#1  0x00007fdd61be45a5 in QSemaphore::acquire(int) () at /usr/lib/libQt5Core.so.5
#2  0x00007fdd61dc7cca in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#3  0x00007fdd5f39941f in  () at /usr/lib/libQt5Network.so.5
#4  0x00007fdd5f43b366 in  () at /usr/lib/libQt5Network.so.5
#5  0x00007fdd61dc7a2c in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#6  0x00007fdd5f38ee15 in  () at /usr/lib/libQt5Network.so.5
#7  0x00007fdd5f38f7ed in  () at /usr/lib/libQt5Network.so.5
#8  0x00007fdd61dc7a2c in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#9  0x00007fdd5f434d06 in  () at /usr/lib/libQt5Network.so.5
#10 0x00007fdd5f42fb56 in  () at /usr/lib/libQt5Network.so.5
#11 0x00007fdd5f430008 in  () at /usr/lib/libQt5Network.so.5
#12 0x00007fdd5f41a131 in  () at /usr/lib/libQt5Network.so.5
#13 0x00007fdd61dc7a2c in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5
#14 0x00007fdd5f3da514 in  () at /usr/lib/libQt5Network.so.5
#15 0x00007fdd5f3da5a0 in  () at /usr/lib/libQt5Network.so.5
#16 0x00007fdd5f3ed202 in  () at /usr/lib/libQt5Network.so.5
#17 0x00007fdd633a9a74 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#18 0x00007fdd633b1341 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#19 0x00007fdd61d9dbe9 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#20 0x00007fdd61df1bdb in  () at /usr/lib/libQt5Core.so.5
#21 0x00007fdd5bc0f368 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#22 0x00007fdd5bc0f5b1 in  () at /usr/lib/libglib-2.0.so.0
#23 0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#24 0x00007fdd61df0f84 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#25 0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#26 0x00007fdd61be59c9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#27 0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#28 0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#29 0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fdd33bd4700 (LWP 1927)):
#0  0x00007fdd614d0934 in read () at /usr/lib/libc.so.6
#1  0x00007fdd5bc54ed1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0eff8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd5bc0f4c6 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007fdd61df0f84 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#6  0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#7  0x00007fdd61be59c9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#8  0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#9  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fdd391f0700 (LWP 1926)):
#0  0x00007fdd614d4ea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fdd5bc0f523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd61df0f84 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007fdd61be59c9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fdd64fe823b in  () at /usr/lib/libQt5Quick.so.5
#7  0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fdd3ae22700 (LWP 1925)):
#0  0x00007fdd5dbc3ffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007fdd3b68d124 in  () at /usr/lib/dri/i965_dri.so
#2  0x00007fdd3b68ce18 in  () at /usr/lib/dri/i965_dri.so
#3  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fdd49bdf700 (LWP 1924)):
#0  0x00007fdd614d4ea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fdd5bc0f523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd61df0f84 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007fdd61be59c9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fdd627759c9 in  () at /usr/lib/libQt5Qml.so.5
#7  0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7fdd4adf0700 (LWP 1923)):
#0  0x00007fdd614d4ea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fdd5bc0f523 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007fdd61df0f84 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#4  0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#5  0x00007fdd61be59c9 in QThread::exec() () at /usr/lib/libQt5Core.so.5
#6  0x00007fdd63ac8976 in  () at /usr/lib/libQt5DBus.so.5
#7  0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#8  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fdd5408a700 (LWP 1922)):
#0  0x00007fdd614d4ea9 in poll () at /usr/lib/libc.so.6
#1  0x00007fdd5b9a6180 in  () at /usr/lib/libxcb.so.1
#2  0x00007fdd5b9a7e4b in xcb_wait_for_event () at /usr/lib/libxcb.so.1
#3  0x00007fdd56e3922a in  () at /usr/lib/libQt5XcbQpa.so.5
#4  0x00007fdd61befa75 in  () at /usr/lib/libQt5Core.so.5
#5  0x00007fdd5dbbe075 in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007fdd614df53f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7fdd65f72780 (LWP 1921)):
[KCrash Handler]
#6  0x00007fdd625e3645 in QV4::QObjectWrapper::wrap(QV4::ExecutionEngine*, QObject*) () at /usr/lib/libQt5Qml.so.5
#7  0x00007fdd625dbc85 in QV4::ExecutionEngine::fromVariant(QVariant const&) () at /usr/lib/libQt5Qml.so.5
#8  0x00007fdd6268826d in  () at /usr/lib/libQt5Qml.so.5
#9  0x00007fdd62689a0b in QV4::QObjectWrapper::getQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, bool*) () at /usr/lib/libQt5Qml.so.5
#10 0x00007fdd626296f5 in QV4::QQmlContextWrapper::get(QV4::Managed const*, QV4::String*, bool*) () at /usr/lib/libQt5Qml.so.5
#11 0x00007fdd625e67da in QV4::ExecutionContext::getProperty(QV4::String*) () at /usr/lib/libQt5Qml.so.5
#12 0x00007fdd626a0f9e in QV4::Runtime::method_typeofName(QV4::ExecutionEngine*, int) () at /usr/lib/libQt5Qml.so.5
#13 0x00007fdd6269a885 in  () at /usr/lib/libQt5Qml.so.5
#14 0x00007fdd62755810 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /usr/lib/libQt5Qml.so.5
#15 0x00007fdd6275a56a in QQmlBinding::evaluate(bool*) () at /usr/lib/libQt5Qml.so.5
#16 0x00007fdd6275f1c3 in  () at /usr/lib/libQt5Qml.so.5
#17 0x00007fdd6275b88b in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#18 0x00007fdd627689e4 in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) () at /usr/lib/libQt5Qml.so.5
#19 0x00007fdd626dc272 in QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) () at /usr/lib/libQt5Qml.so.5
#20 0x00007fdd626dc3b0 in QQmlComponentPrivate::completeCreate() () at /usr/lib/libQt5Qml.so.5
#21 0x00007fdd626dc172 in QQmlComponent::create(QQmlContext*) () at /usr/lib/libQt5Qml.so.5
#22 0x00007fdd4813f3dd in  () at /usr/lib/qt/qml/org/kde/kirigami.2/libkirigamiplugin.so
#23 0x00007fdd4813f77b in  () at /usr/lib/qt/qml/org/kde/kirigami.2/libkirigamiplugin.so
#24 0x00007fdd6275dc44 in  () at /usr/lib/libQt5Qml.so.5
#25 0x00007fdd6275f384 in  () at /usr/lib/libQt5Qml.so.5
#26 0x00007fdd6275b88b in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) () at /usr/lib/libQt5Qml.so.5
#27 0x00007fdd627689e4 in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) () at /usr/lib/libQt5Qml.so.5
#28 0x00007fdd626e108b in  () at /usr/lib/libQt5Qml.so.5
#29 0x00007fdd626e18e2 in QQmlIncubationController::incubateFor(int) () at /usr/lib/libQt5Qml.so.5
#30 0x00007fdd650cd283 in  () at /usr/lib/libQt5Quick.so.5
#31 0x00007fdd61dc82bb in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#32 0x00007fdd633a9a74 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#33 0x00007fdd633b1341 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#34 0x00007fdd61d9dbe9 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#35 0x00007fdd61df033a in QTimerInfoList::activateTimers() () at /usr/lib/libQt5Core.so.5
#36 0x00007fdd61df0bc2 in  () at /usr/lib/libQt5Core.so.5
#37 0x00007fdd5bc0f368 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#38 0x00007fdd5bc0f5b1 in  () at /usr/lib/libglib-2.0.so.0
#39 0x00007fdd5bc0f63e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#40 0x00007fdd61df0f69 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#41 0x00007fdd56ece722 in  () at /usr/lib/libQt5XcbQpa.so.5
#42 0x00007fdd61d9c87c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#43 0x00007fdd61da4b76 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#44 0x00005629e195ed46 in  ()
#45 0x00007fdd6140a06b in __libc_start_main () at /usr/lib/libc.so.6
#46 0x00005629e195f30a in _start ()
Comment 41 Aleix Pol 2018-07-02 14:44:35 UTC
Tim Steinberger, how do you know this is the bug you're hitting?
FWIW, I just tried here removing flatpak, it works just fine.
Comment 42 Tim Steinberger 2018-07-02 14:52:46 UTC
I found this bug after googling what seemed to be the error message most likely to cause the crash. As this gave the exact same behavior I assumed this was what was causing it. Here is the log from the command line if I start discover from there, maybe I missed something obvious.

Icon theme "ubuntu-mono-dark" not found.
Icon theme "Mint-X" not found.
Icon theme "elementary" not found.
Icon theme "gnome" not found.
QQmlComponent: Created graphical object was not placed in the graphics scene.
Icon theme "ubuntu-mono-dark" not found.
Icon theme "Mint-X" not found.
Icon theme "elementary" not found.
Icon theme "gnome" not found.
error loading "flatpak-backend" "Cannot load library /usr/lib/qt/plugins/discover/flatpak-backend.so: (libflatpak.so.0: cannot open shared object file: No such file or directory)" QJsonObject({"IID":"org.kde.muon.AbstractResourcesBackendFactory","MetaData":{},"className":"FlatpakBackendFactory","debug":false,"version":330497})
invalid kns backend! "/etc/xdg/ksysguard.knsrc" because: "Config group not found! Check your KNS3 installation."
invalid kns backend! "/etc/xdg/servicemenu.knsrc" because: "Config group not found! Check your KNS3 installation."
Discarding invalid backend "ksysguard.knsrc"
Discarding invalid backend "servicemenu.knsrc"
setting currentApplicationBackend PackageKitBackend(0x564cc1ec2850)
could not find "org.kde.krita.desktop" "krita.desktop"
could not find "org.kde.krita.desktop" "krita.desktop"
Error when fetching the last update time QDBusError("org.freedesktop.DBus.Error.Spawn.ChildExited", "Launch helper exited with unknown return code 127")
Transaction error:  PackageKit::Transaction::Error(ErrorInternalError) "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1ea51d0)
Transaction error:  "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1f8c040)
qml: message: Launch helper exited with unknown return code 127
failed PackageKit::Transaction::Exit(ExitFailed) PackageKit::Transaction(0x564cc1f8c040)
Transaction error:  "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1f81d80)
qml: message: Launch helper exited with unknown return code 127
failed PackageKit::Transaction::Exit(ExitFailed) PackageKit::Transaction(0x564cc1f81d80)
Transaction error:  "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1f87ba0)
qml: message: Launch helper exited with unknown return code 127
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = plasma-discover path = /usr/bin pid = 2889
KCrash: Arguments: /usr/bin/plasma-discover 
KCrash: Attempting to start /usr/lib/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
QSocketNotifier: Invalid socket 25 and type 'Read', disabling...
QSocketNotifier: Invalid socket 27 and type 'Read', disabling...
QSocketNotifier: Invalid socket 23 and type 'Read', disabling...
QSocketNotifier: Invalid socket 33 and type 'Write', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
QSocketNotifier: Invalid socket 16 and type 'Write', disabling...
QSocketNotifier: Invalid socket 32 and type 'Write', disabling...
QSocketNotifier: Invalid socket 26 and type 'Write', disabling...
QSocketNotifier: Invalid socket 28 and type 'Write', disabling...
Comment 43 Tim Steinberger 2018-07-02 14:53:16 UTC
I found this bug after googling what seemed to be the error message most likely to cause the crash. As this gave the exact same behavior I assumed this was what was causing it. Here is the log from the command line if I start discover from there, maybe I missed something obvious.

Icon theme "ubuntu-mono-dark" not found.
Icon theme "Mint-X" not found.
Icon theme "elementary" not found.
Icon theme "gnome" not found.
QQmlComponent: Created graphical object was not placed in the graphics scene.
Icon theme "ubuntu-mono-dark" not found.
Icon theme "Mint-X" not found.
Icon theme "elementary" not found.
Icon theme "gnome" not found.
error loading "flatpak-backend" "Cannot load library /usr/lib/qt/plugins/discover/flatpak-backend.so: (libflatpak.so.0: cannot open shared object file: No such file or directory)" QJsonObject({"IID":"org.kde.muon.AbstractResourcesBackendFactory","MetaData":{},"className":"FlatpakBackendFactory","debug":false,"version":330497})
invalid kns backend! "/etc/xdg/ksysguard.knsrc" because: "Config group not found! Check your KNS3 installation."
invalid kns backend! "/etc/xdg/servicemenu.knsrc" because: "Config group not found! Check your KNS3 installation."
Discarding invalid backend "ksysguard.knsrc"
Discarding invalid backend "servicemenu.knsrc"
setting currentApplicationBackend PackageKitBackend(0x564cc1ec2850)
could not find "org.kde.krita.desktop" "krita.desktop"
could not find "org.kde.krita.desktop" "krita.desktop"
Error when fetching the last update time QDBusError("org.freedesktop.DBus.Error.Spawn.ChildExited", "Launch helper exited with unknown return code 127")
Transaction error:  PackageKit::Transaction::Error(ErrorInternalError) "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1ea51d0)
Transaction error:  "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1f8c040)
qml: message: Launch helper exited with unknown return code 127
failed PackageKit::Transaction::Exit(ExitFailed) PackageKit::Transaction(0x564cc1f8c040)
Transaction error:  "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1f81d80)
qml: message: Launch helper exited with unknown return code 127
failed PackageKit::Transaction::Exit(ExitFailed) PackageKit::Transaction(0x564cc1f81d80)
Transaction error:  "Launch helper exited with unknown return code 127" PackageKit::Transaction(0x564cc1f87ba0)
qml: message: Launch helper exited with unknown return code 127
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = plasma-discover path = /usr/bin pid = 2889
KCrash: Arguments: /usr/bin/plasma-discover 
KCrash: Attempting to start /usr/lib/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
QSocketNotifier: Invalid socket 25 and type 'Read', disabling...
QSocketNotifier: Invalid socket 27 and type 'Read', disabling...
QSocketNotifier: Invalid socket 23 and type 'Read', disabling...
QSocketNotifier: Invalid socket 33 and type 'Write', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
QSocketNotifier: Invalid socket 16 and type 'Write', disabling...
QSocketNotifier: Invalid socket 32 and type 'Write', disabling...
QSocketNotifier: Invalid socket 26 and type 'Write', disabling...
QSocketNotifier: Invalid socket 28 and type 'Write', disabling...
Comment 44 Tim Steinberger 2018-07-02 14:56:35 UTC
Actually, I apologize, this might be a different bug. I was able to build flatpak without systemd support and install it. I found it crashes with both installed (though takes longer than if just packagekit-qt5 is installed). Bug number is 396069.
Comment 45 Tim Steinberger 2018-07-03 01:46:20 UTC
Sorry about that, I've done more experimenting with it and my crash is happening for a different reason. Packagekit was crashing because it depended on a binary I did not have installed. This is a problem on the package maintainer's end, so the only issue I see with discover here is that it crashes when packagekit exits rather than continuing and just printing an error which is a different issue in itself. I set this back to Fixed.